v3 vendors changes
In v3, there are a range of improvements and new features with vendor operations.
| v2 | v3 |
|---|---|
Create a vendor with Add vendor bank account information for the vendor with | Creating a vendor with POST /v3/vendors combines 2 operations.
address, paymentInformation, additionalInfo, balance, and autoPay objects.For adding an international vendor bank account, get the required regulatory configuration with See Vendors for more information. |
Read a vendor with POST /v2/Crud/Read/Vendor.json. | Get vendor details with See Get vendor details in the API reference for more information. |
List vendors with POST /v2/Crud/List/Vendor.json. | Get list of vendors with Filtering and sorting values are now query parameters. For filtering, use the For sorting, use the The response includes See Search operations with lists for more information. |
Update a vendor with POST /v2/Crud/Update/Vendor.json. | Update a vendor with The request and response field names have changed. In your v3 PATCH request, set the vendor fields you want to update. All the vendor fields are not required in your request. For adding an international vendor bank account, get the required regulatory configuration with See Update a vendor in the API reference for more information. |
Delete a vendor with POST /v2/Crud/Delete/Vendor.json. | Archive a vendor with In the response, See Archive a vendor in the API reference for more information. |
Undelete a vendor with POST /v2/Crud/Undelete/Vendor.json. | Restore a vendor with In the response, See Restore an archived vendor in the API reference for more information. |
Updated 3 months ago
